> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ACH Configurations



## OpenAPI

````yaml api-reference/openapi-account.json GET /ach_config
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.860-g0b698b02
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /ach_config:
    get:
      summary: index ach_config
      parameters:
        - description: Specific account ID that the config applies to. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_291u96075mva
                        daily_credit_limit: '25000.00'
                        daily_debit_limit: '25000.00'
                        id: achconf_3k9p2wd6rn4x
                        inach_return_codes_business:
                          - R29
                        inach_return_codes_consumer:
                          - R10
                          - R11
                        lock_blocks_credit: true
                        locked_credit_return_code: R16
                        return_allowed_days: '2'
                        sameday_max_amount: '1000000.00'
                        sec_codes_allowed:
                          - CCD
                          - PPD
                          - WEB
                        total_credit_limit: '100000.00'
                        total_debit_limit: '100000.00'
                        transaction_credit_limit: '10000.00'
                        transaction_debit_limit: '10000.00'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            Specific account ID that the config applies to.
                            Filterable.
                          type: string
                        daily_credit_limit:
                          description: The 24 hour rolling credit limit for an account.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        daily_debit_limit:
                          description: The 24 hour rolling debit limit for an account.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        inach_return_codes_business:
                          description: >-
                            Return codes allowed for incoming ACHs to business
                            accounts
                          items:
                            type: string
                          type: array
                        inach_return_codes_consumer:
                          description: >-
                            Return codes allowed for incoming ACHs to consumer
                            accounts
                          items:
                            type: string
                          type: array
                        lock_blocks_credit:
                          description: >-
                            Whether an incoming ACH credit is returned for a
                            locked account
                          type: boolean
                        locked_credit_return_code:
                          description: >-
                            ACH return code used to return incoming credits when
                            the account is locked
                          type: string
                        return_allowed_days:
                          description: >-
                            Number of business days after the effective date
                            that an incoming ACH can be returned
                          type: string
                        sameday_max_amount:
                          description: Max amount that can be sent for sameday ACHs
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        sec_codes_allowed:
                          description: List of allowed SEC codes for originating ACHs.
                          items:
                            type: string
                          type: array
                        total_credit_limit:
                          description: >-
                            The 24 hour rolling credit limit for a bank + org
                            pair. This limit cannot be exceeded
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        total_debit_limit:
                          description: >-
                            The 24 hour rolling debit limit for a bank + org
                            pair. This limit cannot be exceeeded
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        transaction_credit_limit:
                          description: >-
                            The individual transaction credit limit for an org
                            or account.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        transaction_debit_limit:
                          description: >-
                            The individual transaction debit limit for an org or
                            account.
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` ach_config elements, starting after the ach_config
            described by `page_cursor`. If no more ach_configs are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````